Scanner (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.Scanner class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class Scanner

    java.lang.Object
      org.hyperic.hq.autoinventory.Scanner

    public class Scanner

extends java.lang.Object

The Scanner class performs the actual auto-inventory system scan.

Constructor Summary
`Scanner(ScanConfiguration scanConfig, ScanListener listener, AutoinventoryPluginManager apm)` Create a new Scanner with the specified configuration.

Method Summary
`static PlatformResource` | `detectPlatform(AutoinventoryPluginManager apm, ConfigResponse config)`
`boolean` | `equals(java.lang.Object o)`
`boolean` | `getIsInterrupted()`
`ScanState` | `getScanState()` Get the current state of the scan.
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scanner

    public Scanner(ScanConfiguration scanConfig,
                   ScanListener listener,
                   AutoinventoryPluginManager apm)

  Create a new Scanner with the specified configuration.

  Parameters:
    `scanConfig` - The configuration to use when scanning.
    `listener` - The class to notify when various scan events occur, such as scan completion.
    `apm` - The autoinventory plugin manager.

Method Detail

### getIsInterrupted

    public boolean getIsInterrupted()

### detectPlatform

    public static PlatformResource detectPlatform(AutoinventoryPluginManager apm,
                                                  ConfigResponse config)
                                           throws AutoinventoryException

  Throws:
    `AutoinventoryException`

### getScanState

    public ScanState getScanState()

  Get the current state of the scan. Note that the ScanState object returned from this method may be modified after it is returned. Callers who want to persist the state should acquire the object's monitor (via a synchronized block) before writing the object out.

  Returns:
    The current state of the scan.

### start

    public void start()

### stop

    public void stop()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.